## python-marshmallow 3.0.0b3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
DASHING       = dashing

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext dash

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf marshmallow.docset marshmallow.tgz

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/complexity.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/complexity.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/complexity"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/complexity"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

dash: html
	$(DASHING) build
	@tar czf marshmallow.tgz marshmallow.docset

=== docs/requirements.txt ===
sphinx
sphinx-issues==0.2.0
git+https://github.com/sloria/alabaster.git@sloria

=== debian/changelog ===
python-marshmallow (3.0.0b3-1) unstable; urgency=low

  * Initial package (Closes: #819648)

 -- Federico Ceratto <federico@debian.org>  Sat, 23 Sep 2017 16:21:52 +0100

=== debian/control ===
Source: python-marshmallow
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-dateutil,
 python3-pytest,
 python3-setuptools,
 python3-simplejson,
 python3-sphinx,
 python3-tz
Standards-Version: 4.1.0
X-Python3-Version: >= 3.5
Homepage: https://github.com/marshmallow-code/marshmallow
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-marshmallow.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-marshmallow.git

Package: python3-marshmallow
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Lightweight library for converting complex datatypes
 An ORM/ODM/framework-agnostic library for converting complex datatypes,
 such as objects, to and from native Python datatypes.

Package: python3-marshmallow-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore
Description: Library for converting complex datatypes - documentation
 An ORM/ODM/framework-agnostic library for converting complex datatypes,
 such as objects, to and from native Python datatypes.
 Documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=marshmallow
export DH_VERBOSE=1
export PYBUILD_TEST_PYTEST=1
export PYBUILD_DISABLE_python2=test/test_py3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs debian/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/html .cache

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-marshmallow-$1\.tar\.gz/ \
  https://github.com/marshmallow-code/marshmallow/tags .*/v?(\d\S*)\.tar\.gz

## python-marshmallow 3.0.0b14

=== docs/requirements.txt ===
sphinx==1.8.0
sphinx-issues==1.0.0
git+https://github.com/sloria/alabaster.git@sloria

=== debian/changelog ===
python-marshmallow (3.0.0b14-1) unstable; urgency=high

  * New upstream release (Closes: #909140), CVE-2018-17175

 -- Federico Ceratto <federico@debian.org>  Tue, 18 Sep 2018 22:44:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -12,11 +12,13 @@
  python3-simplejson,
  python3-sphinx,
  python3-tz
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/marshmallow-code/marshmallow
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-marshmallow.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-marshmallow.git
+Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow
+Vcs-Git: https://salsa.debian.org/debian/python-marshmallow.git
+Testsuite: autopkgtest-pkg-python
+
 
 Package: python3-marshmallow
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf debian/html .cache
+	rm -rf debian/html .cache .pytest_cache

## python-marshmallow 3.4.0

=== debian/changelog ===
python-marshmallow (3.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 06 Feb 2020 22:53:57 +0000

python-marshmallow (3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Dec 2019 21:41:31 +0000

python-marshmallow (3.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #942136)

 -- Federico Ceratto <federico@debian.org>  Sun, 10 Nov 2019 22:15:58 +0000

python-marshmallow (3.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Federico Ceratto ]
  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 29 Oct 2019 11:58:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -12,7 +12,7 @@
  python3-simplejson,
  python3-sphinx,
  python3-tz
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/marshmallow-code/marshmallow
 Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow

## python-marshmallow 3.7.1

=== debian/changelog ===
python-marshmallow (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 26 Jul 2020 22:47:11 +0100

python-marshmallow (3.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 15 Jun 2020 20:47:20 +0100

python-marshmallow (3.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 17 May 2020 14:27:41 +0100

python-marshmallow (3.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Mar 2020 13:13:57 +0000

## python-marshmallow 3.10.0

=== debian/changelog ===
python-marshmallow (3.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Fri, 01 Jan 2021 21:30:39 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -12,8 +12,8 @@
  python3-simplejson,
  python3-sphinx,
  python3-tz
-Standards-Version: 4.4.1
-X-Python3-Version: >= 3.5
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/marshmallow-code/marshmallow
 Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow
 Vcs-Git: https://salsa.debian.org/debian/python-marshmallow.git

## python-marshmallow 3.13.0

=== debian/changelog ===
python-marshmallow (3.13.0-1) unstable; urgency=medium

  * New upstream release (Closes: #989268)

 -- Federico Ceratto <federico@debian.org>  Thu, 19 Aug 2021 22:38:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,12 @@
  python3-simplejson,
  python3-sphinx,
  python3-tz
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/marshmallow-code/marshmallow
 Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow
 Vcs-Git: https://salsa.debian.org/debian/python-marshmallow.git
 Testsuite: autopkgtest-pkg-python
-
 
 Package: python3-marshmallow
 Architecture: all

## python-marshmallow 3.15.0

=== debian/changelog ===
python-marshmallow (3.15.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload
  * Rebuild for bullseye-backports.
  * [cad5259] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Wed, 13 Jul 2022 21:10:38 -0400

python-marshmallow (3.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 27 Mar 2022 21:57:53 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-simplejson,
  python3-sphinx,
  python3-tz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/marshmallow-code/marshmallow
 Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-marshmallow,
 python3-pytest,
 python3-simplejson,
 python3-tz,

## python-marshmallow 3.18.0

=== debian/changelog ===
python-marshmallow (3.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Oct 2022 11:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-simplejson,
  python3-sphinx,
  python3-tz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/marshmallow-code/marshmallow
 Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs debian/html
+	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs debian/html
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

## python-marshmallow 3.20.1

=== debian/changelog ===
python-marshmallow (3.20.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild source-only to allow migration to testing.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Oct 2023 13:54:37 +0200

python-marshmallow (3.20.1-1) unstable; urgency=medium

  * New upstream release
  * Add tzdata-legacy dependency (Closes: #1052847)

 -- Federico Ceratto <federico@debian.org>  Sun, 08 Oct 2023 15:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  python3-setuptools,
  python3-simplejson,
  python3-sphinx,
- python3-tz
-Standards-Version: 4.6.1
+ python3-tz,
+ tzdata-legacy
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/marshmallow-code/marshmallow
 Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow
@@ -32,6 +33,7 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends},
  libjs-jquery,
  libjs-underscore
+Multi-Arch: foreign
 Description: Library for converting complex datatypes - documentation
  An ORM/ODM/framework-agnostic library for converting complex datatypes,
  such as objects, to and from native Python datatypes.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-marshmallow-$1\.tar\.gz/ https://github.com/marshmallow-code/marshmallow/tags .*/v?(\d\S*)\.tar\.gz

## python-marshmallow 3.26.1

=== debian/changelog ===
python-marshmallow (3.26.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable useless Salsa CI tests
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop unused python3-tz build-dep
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Jan 2026 23:09:38 +0100

python-marshmallow (3.26.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Handle new error message in newer Python (closes: #1123267).

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 19:01:57 +0000

python-marshmallow (3.26.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude test_from_timestamp_with_overflow_value test on i386

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Mar 2025 12:58:32 +0100

python-marshmallow (3.26.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 3.26.1
  * Update build dependencies:
    - dh-python
    - python3-dateutil
    - python3-setuptools: this uses "flit" now
    + dh-sequence-python3
    + furo
    + python3-autodocsumm
    + python3-sphinx-copybutton
    + python3-sphinx-issues
    + python3-sphinxext-opengraph
  * Annotate deps with !nodoc & !nocheck
  * Trim autopkgtest dependencies
  * Remove Python2 crumb from d/rules

  [ Federico Ceratto ]
  * New upstream release
  * Add dependency on flit & pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 15:17:29 +0100

=== debian/control ===
Source: python-marshmallow
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
Build-Depends-Indep:
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 flit,
 furo <!nodoc>,
 python3-all,
 python3-autodocsumm <!nodoc>,
 python3-pytest <!nocheck>,
 python3-simplejson <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
 tzdata-legacy,
Standards-Version: 4.7.3
Homepage: https://github.com/marshmallow-code/marshmallow
Vcs-Browser: https://salsa.debian.org/debian/python-marshmallow
Vcs-Git: https://salsa.debian.org/debian/python-marshmallow.git
Testsuite: autopkgtest-pkg-python
X-Style: black

Package: python3-marshmallow
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Lightweight library for converting complex datatypes
 An ORM/ODM/framework-agnostic library for converting complex datatypes,
 such as objects, to and from native Python datatypes.

Package: python3-marshmallow-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Library for converting complex datatypes - documentation
 An ORM/ODM/framework-agnostic library for converting complex datatypes,
 such as objects, to and from native Python datatypes.
 Documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=marshmallow
export DH_VERBOSE=1
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs debian/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

execute_after_dh_auto_clean:
	rm -rf debian/html .cache .pytest_cache

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 python3-pytest,
 python3-simplejson,
 tzdata-legacy,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: marshmallow-code
Project: marshmallow
